#include <stdio.h>
#include "cfft16.h"

void cfft16_TC();
void cfft4_TC();
main(){
 cfft16_TC(); 
}

// cfft16 test case

void cfft16_TC(){
    cfft_t x[16] = {0};
    cfft16plan_t cfft16plan;
	int i ;
    // input test data
	for(i = 0; i < 16; i ++){
		x[i].r = i;
		x[i].i = 2 * i -20;
	}
		
	cfft16_init(&cfft16plan);	
	cfft16_proc(&cfft16plan, x, x);
	ComplexPrint("cfft16out", x, 16);
	cfft16_close(&cfft16plan);
}
void cfft4_TC(){
    int i ;
    cfft_t x[4] = {0};	
	cfft4plan_t cfft4plan;
    
	for(i = 0; i < 4; i ++){
		x[i].r = i;
		x[i].i = 2 * i -20;
	}
	
	// generate matlab simulation file
	fprintf(stdout, "%%cfft4 input\n");
    cfft4_init(&cfft4plan);	
	ComplexPrint("in", x, 4);	
	
	cfft4_proc(&cfft4plan, x, x);
	fprintf(stdout, "%%cfft4 output\n");
	ComplexPrint("out", x, 4);
}
